SDL_UnlockTexture(3)

NAME
SDL_UnlockTexture - Unlock a texture, uploading the changes to video memory, if needed.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_UnlockTexture(SDL_Texture *texture);

DESCRIPTION
Warning : Please note that SDL_LockTexture () is intended to be write-only; it will not guarantee the previous contents of the texture will be provided. You must fully initialize any area of a texture that you lock before unlocking it, as the pixels might otherwise be uninitialized memory. Which is to say: locking and immediately unlocking a texture can result in corrupted textures, depending on the renderer in use.

FUNCTION PARAMETERS

texture
    a texture locked by SDL_LockTexture ()

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_LockTexture(3)